---
- block:

    - name: Install the VPNC apt package
      apt:
        name: vpnc
        install_recommends: no
        cache_valid_time: "{{ apt_cache_valid_time }}"

    - name: Render the various templates
      template:
        src: "{{ item.src }}"
        dest: "{{ item.dest }}"
        owner: root
        group: root
        mode: "{{ item.mode }}"
      with_items:
        - {src: "vpnc.conf", dest: "/etc/vpnc/default.conf", mode: "0644"}
        - {src: "start_vpnc.sh", dest: "/usr/bin/start_vpnc", mode: "0755"}
        - {src: "stop_vpnc.sh", dest: "/usr/bin/stop_vpnc", mode: "0755"}

  become: yes
